#define scmrev 20141024
%define rel 2

Name:           obconf-qt
Version:        0.11.0
%if 0%{?scmrev:1}
# rm -rf obconf-qt && git clone git://git.lxde.org/git/lxde/obconf-qt && cd obconf-qt/ 
# git archive --prefix=obconf-qt-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../obconf-qt-$(date +%Y%m%d).tar.xz
Release:        %mkrel -c %{scmrev} %rel
Source0:        %{name}-%{scmrev}.tar.xz
%else
Release:        %mkrel %rel
Source0:        https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
%endif
Summary:        Openbox configuration tool for the LXQt desktop
URL:            http://lxqt.org/
License:        GPL
Group:          Graphical desktop/KDE
BuildRequires:  cmake
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(obrender-3.5)
BuildRequires:  pkgconfig(obt-3.5)

Requires:       lxqt-l10n

%description
Openbox configuration tool for the LXQt desktop.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}-%{scmrev}
%else
%setup -q
%endif


%build
# try to fix "undefined reference to symbol 'XInternAtom' - DSO missing from command line error
%cmake_qt5 -DPULL_TRANSLATIONS=NO -DCMAKE_EXE_LINKER_FLAGS=-lX11
%make_build

%install
%make_install -C build


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png



%changelog
* Fri Nov 11 2016 neoclust <neoclust> 0.11.0-2.mga6
+ Revision: 1066469
- Add translation package as a require

* Fri Nov 11 2016 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1066350
- New version 0.11.0
- update Source URL

* Tue Feb 09 2016 umeabot <umeabot> 0.1.1-0.20141024.5.mga6
+ Revision: 952419
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 tmb <tmb> 0.1.1-0.20141024.4.mga5
+ Revision: 816555
- drop conditional qt5 build as its qt5-only now

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.1.1-0.20141024.3.mga5
+ Revision: 803675
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.1.1-0.20141024.2.mga5
+ Revision: 793195
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.1.1-0.20141024.1.mga5
+ Revision: 792994
- add missing BuildRequires on pkgconfig(Qt5Help)
- new snapshot 20141024 (adds QT5 support)
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 742443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-2.mga5
+ Revision: 682963
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.1.0-1.mga5
+ Revision: 634477
- imported package obconf-qt

